Index: arch/ppc/platforms/pmac_pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/ppc/platforms/pmac_pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/ppc/platforms/pmac_pci.c	22 Jul 2004 19:49:00 -0000	1.1
+++ arch/ppc/platforms/pmac_pci.c	4 Aug 2004 01:26:09 -0000	1.2
@@ -49,7 +49,7 @@
 {
 	for (; node != 0;node = node->sibling) {
 		int * bus_range;
-		unsigned int *class_code;			
+		unsigned int *class_code;
 		int len;
 
 		/* For PCI<->PCI bridges or CardBus bridges, we go down */
@@ -69,7 +69,7 @@
 
 /* This routine fixes the "bus-range" property of all bridges in the
  * system since they tend to have their "last" member wrong on macs
- * 
+ *
  * Note that the bus numbers manipulated here are OF bus numbers, they
  * are not Linux bus numbers.
  */
@@ -78,8 +78,8 @@
 {
 	int * bus_range;
 	int len;
-	
-	/* Lookup the "bus-range" property for the hose */		
+
+	/* Lookup the "bus-range" property for the hose */
 	bus_range = (int *) get_property(bridge, "bus-range", &len);
 	if (bus_range == NULL || len < 2 * sizeof(int)) {
 		printk(KERN_WARNING "Can't get bus-range for %s\n",
@@ -91,11 +91,11 @@
 
 /*
  * Apple MacRISC (UniNorth, Bandit, Chaos) PCI controllers.
- * 
+ *
  * The "Bandit" version is present in all early PCI PowerMacs,
  * and up to the first ones using Grackle. Some machines may
  * have 2 bandit controllers (2 PCI busses).
- * 
+ *
  * "Chaos" is used in some "Bandit"-type machines as a bridge
  * for the separate display bus. It is accessed the same
  * way as bandit, but cannot be probed for devices. It therefore
@@ -116,19 +116,19 @@
 	|(((unsigned long)(devfn)) << 8) \
 	|(((unsigned long)(off)) & 0xFCUL) \
 	|1UL)
-	
+
 static unsigned int __pmac
 macrisc_cfg_access(struct pci_controller* hose, u8 bus, u8 dev_fn, u8 offset)
 {
 	unsigned int caddr;
-	
+
 	if (bus == hose->first_busno) {
 		if (dev_fn < (11 << 3))
 			return 0;
 		caddr = MACRISC_CFA0(dev_fn, offset);
 	} else
 		caddr = MACRISC_CFA1(bus, dev_fn, offset);
-	
+
 	/* Uninorth will return garbage if we don't read back the value ! */
 	do {
 		out_le32(hose->cfg_addr, caddr);
@@ -217,7 +217,7 @@
 CHAOS_PCI_OP(read, dword, u32 *)
 CHAOS_PCI_OP(write, byte, u8)
 CHAOS_PCI_OP(write, word, u16)
-CHAOS_PCI_OP(write, dword, u32) 
+CHAOS_PCI_OP(write, dword, u32)
 
 static struct pci_ops chaos_pci_ops =
 {
@@ -244,7 +244,7 @@
 	out_le32(bp->cfg_addr, (1UL << BANDIT_DEVNUM) + PCI_VENDOR_ID);
 	udelay(2);
 	vendev = in_le32((volatile unsigned int *)bp->cfg_data);
-	if (vendev == (PCI_DEVICE_ID_APPLE_BANDIT << 16) + 
+	if (vendev == (PCI_DEVICE_ID_APPLE_BANDIT << 16) +
 			PCI_VENDOR_ID_APPLE) {
 		/* read the revision id */
 		out_le32(bp->cfg_addr,
@@ -292,17 +292,17 @@
 	if (pci_device_from_OF_node(p2pbridge, &bus, &devfn) < 0) {
 #ifdef DEBUG
 		printk("Can't find PCI infos for PCI<->PCI bridge\n");
-#endif		
+#endif
 		return;
 	}
-	/* Warning: At this point, we have not yet renumbered all busses. 
+	/* Warning: At this point, we have not yet renumbered all busses.
 	 * So we must use OF walking to find out hose
 	 */
 	hose = pci_find_hose_for_OF_device(p2pbridge);
 	if (!hose) {
 #ifdef DEBUG
 		printk("Can't find hose for PCI<->PCI bridge\n");
-#endif		
+#endif
 		return;
 	}
 	if (early_read_config_word(hose, bus, devfn,
@@ -314,6 +314,51 @@
 	early_write_config_word(hose, bus, devfn, PCI_BRIDGE_CONTROL, val);
 }
 
+/*
+ * Some Apple desktop machines have a NEC PD720100A USB2 controller
+ * on the motherboard. Open Firmware, on these, will disable the
+ * EHCI part of it so it behaves like a pair of OHCI's. This fixup
+ * code re-enables it ;)
+ */
+static void __init
+fixup_nec_usb2(void)
+{
+	struct device_node *nec;
+
+	for (nec = find_devices("usb"); nec != NULL; nec = nec->next) {
+		struct pci_controller *hose;
+		u32 data, *prop;
+		u8 bus, devfn;
+		
+		prop = (u32 *)get_property(nec, "vendor-id", NULL);
+		if (prop == NULL)
+			continue;
+		if (0x1033 != *prop)
+			continue;
+		prop = (u32 *)get_property(nec, "device-id", NULL);
+		if (prop == NULL)
+			continue;
+		if (0x0035 != *prop)
+			continue;
+		prop = (u32 *)get_property(nec, "reg", 0);
+		if (prop == NULL)
+			continue;
+		devfn = (prop[0] >> 8) & 0xff;
+		bus = (prop[0] >> 16) & 0xff;
+		if (PCI_FUNC(devfn) != 0)
+			continue;
+		hose = pci_find_hose_for_OF_device(nec);
+		if (!hose)
+			continue;
+		printk("Found NEC PD720100A USB2 chip, enabling EHCI...\n");
+		early_read_config_dword(hose, bus, devfn, 0xe4, &data);
+		data &= ~1UL;
+		early_write_config_dword(hose, bus, devfn, 0xe4, data);
+		early_write_config_byte(hose, bus, devfn | 2, PCI_INTERRUPT_LINE,
+			nec->intrs[0].line);
+	}
+}
+
 void __init
 pmac_find_bridges(void)
 {
@@ -321,6 +366,7 @@
 	add_bridges(find_devices("chaos"));
 	add_bridges(find_devices("pci"));
 	init_p2pbridge();
+	fixup_nec_usb2();
 }
 
 #define GRACKLE_CFA(b, d, o)	(0x80 | ((b) << 8) | ((d) << 16) \
@@ -416,7 +462,7 @@
 	char* disp_name;
 	int *bus_range;
 	int first = 1, primary;
-	
+
 	for (; dev != NULL; dev = dev->next) {
 		addr = (struct reg_property *) get_property(dev, "reg", &len);
 		if (addr == NULL || len < sizeof(*addr)) {
@@ -429,7 +475,7 @@
 			printk(KERN_WARNING "Can't get bus-range for %s, assume bus 0\n",
 				       dev->full_name);
 		}
-		
+
 		hose = pcibios_alloc_controller();
 		if (!hose)
 			continue;
@@ -459,8 +505,8 @@
 #ifdef DEBUG
 		printk(" ->Hose at 0x%08lx, cfg_addr=0x%08lx,cfg_data=0x%08lx\n",
 			hose, hose->cfg_addr, hose->cfg_data);
-#endif		
-		
+#endif
+
 		/* Interpret the "ranges" property */
 		/* This also maps the I/O region and sets isa_io/mem_base */
 		pci_process_bridge_OF_ranges(hose, dev, primary);
@@ -474,9 +520,9 @@
 
 static void __init
 pcibios_fixup_OF_interrupts(void)
-{	
+{
 	struct pci_dev* dev;
-	
+
 	/*
 	 * Open Firmware often doesn't initialize the
 	 * PCI_INTERRUPT_LINE config register properly, so we
@@ -520,19 +566,19 @@
 
 	uninorth_child = node->parent &&
 		device_is_compatible(node->parent, "uni-north");
-		
+
 	/* Firewire & GMAC were disabled after PCI probe, the driver is
 	 * claiming them, we must re-enable them now.
 	 */
-	if (uninorth_child && !strcmp(node->name, "firewire") && 
-	    (device_is_compatible(node, "pci106b,18") || 
+	if (uninorth_child && !strcmp(node->name, "firewire") &&
+	    (device_is_compatible(node, "pci106b,18") ||
 	     device_is_compatible(node, "pci106b,30") ||
 	     device_is_compatible(node, "pci11c1,5811"))) {
 		pmac_call_feature(PMAC_FTR_1394_CABLE_POWER, node, 0, 1);
 		pmac_call_feature(PMAC_FTR_1394_ENABLE, node, 0, 1);
 		updatecfg = 1;
 	}
-	if (uninorth_child && !strcmp(node->name, "ethernet") && 
+	if (uninorth_child && !strcmp(node->name, "ethernet") &&
 	    device_is_compatible(node, "gmac")) {
 		pmac_call_feature(PMAC_FTR_GMAC_ENABLE, node, 0, 1);
 		updatecfg = 1;
@@ -540,14 +586,14 @@
 
 	if (updatecfg) {
 		u16 cmd;
-		
+
 		/*
 		 * Make sure PCI is correctly configured
 		 *
 		 * We use old pci_bios versions of the function since, by
 		 * default, gmac is not powered up, and so will be absent
-		 * from the kernel initial PCI lookup. 
-		 * 
+		 * from the kernel initial PCI lookup.
+		 *
 		 * Should be replaced by 2.4 new PCI mecanisms and really
 		 * regiser the device.
 		 */
@@ -557,7 +603,7 @@
     		pci_write_config_byte(dev, PCI_LATENCY_TIMER, 16);
     		pci_write_config_byte(dev, PCI_CACHE_LINE_SIZE, 8);
 	}
-	
+
 	return 0;
 }
 
@@ -574,12 +620,12 @@
 
 	/* OF fails to initialize IDE controllers on macs
 	 * (and maybe other machines)
-	 * 
+	 *
 	 * Ideally, this should be moved to the IDE layer, but we need
 	 * to check specifically with Andre Hedrick how to do it cleanly
 	 * since the common IDE code seem to care about the fact that the
 	 * BIOS may have disabled a controller.
-	 * 
+	 *
 	 * -- BenH
 	 */
 	pci_for_each_dev(dev) {
Index: arch/ppc/platforms/prep_pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/ppc/platforms/prep_pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/ppc/platforms/prep_pci.c	22 Jul 2004 19:49:00 -0000	1.1
+++ arch/ppc/platforms/prep_pci.c	4 Aug 2004 01:26:09 -0000	1.2
@@ -43,7 +43,7 @@
 /* Used for Motorola to store system config register */
 static unsigned long	*ProcInfo;
 
-/* Tables for known hardware */   
+/* Tables for known hardware */
 
 /* Motorola PowerStackII - Utah */
 static char Utah_pci_IRQ_map[23] __prepdata =
@@ -155,7 +155,7 @@
    	15,	/* Line 3 */
    	15	/* Line 4 */
 };
-   
+
 /* Motorola Mesquite */
 static char Mesquite_pci_IRQ_map[23] __prepdata =
 {
@@ -271,7 +271,7 @@
 {
    	0,	/* This is a dummy structure */
 };
-   
+
 /* Motorola MVME16xx */
 static char Genesis_pci_IRQ_map[16] __prepdata =
 {
@@ -301,7 +301,7 @@
    	14,	/* Line 3 */
    	15	/* Line 4 */
 };
-   
+
 static char Genesis2_pci_IRQ_map[23] __prepdata =
 {
 	0,	/* Slot 0  - unused */
@@ -616,7 +616,7 @@
 #define ELCRM_INT5_LVL          0x20
 
 #define CFGPTR(dev) (0x80800000 | (1<<(dev>>3)) | ((dev&7)<<8) | offset)
-#define DEVNO(dev)  (dev>>3)                                  
+#define DEVNO(dev)  (dev>>3)
 
 #define cfg_read(val, addr, type, op)	*val = op((type)(addr))
 #define cfg_write(val, addr, type, op)	op((type *)(addr), (val))
@@ -740,7 +740,7 @@
 	OpenPIC_NumInitSenses = sizeof(prep_openpic_initsenses);
 
 	ppc_md.get_irq = openpic_get_irq;
-	
+
 	/* If raven is present on Motorola store the system config register
 	 * for later use.
 	 */
@@ -916,7 +916,7 @@
 	unsigned char *ibc_pirq = (unsigned char *)0x80800860;
 	unsigned char *ibc_pcicon = (unsigned char *)0x80800840;
 	int i;
-	
+
 	if ( _prep_type == _PREP_Motorola)
 	{
 		unsigned short irq_mode;
@@ -989,7 +989,7 @@
 		printk("No known machine pci routing!\n");
 		return;
 	}
-	
+
 	/* Set up mapping from slots */
 	for (i = 1;  i <= 4;  i++)
 		ibc_pirq[i-1] = Motherboard_routes[i];
@@ -1010,7 +1010,7 @@
 		 * Perform specific configuration for the Via Tech or
 		 * or Winbond PCI-ISA-Bridge part.
 		 */
-		if ((dev = pci_find_device(PCI_VENDOR_ID_VIA, 
+		if ((dev = pci_find_device(PCI_VENDOR_ID_VIA,
 					PCI_DEVICE_ID_VIA_82C586_1, dev))) {
 			/*
 			 * PPCBUG does not set the enable bits
@@ -1109,7 +1109,7 @@
 	 * the devfn of the bus bridge with secondary inputs, use those.
 	 * Otherwise, assume it's a PMC site and get the interrupt line
 	 * value from the interrupt routing table.
-	 */ 
+	 */
 	if (mot_info[mot_entry].secondary_bridge_devfn) {
 		pbus = dev->bus;
 
@@ -1141,8 +1141,6 @@
 prep_pcibios_fixup(void)
 {
         struct pci_dev *dev;
-        extern unsigned char *Motherboard_map;
-        extern unsigned char *Motherboard_routes;
 
 	prep_route_pci_interrupts();
 
@@ -1183,7 +1181,7 @@
 				      (dev->resource[i].start > 0x10000000))  {
 				printk("Relocating PCI address %lx -> %lx\n",
 						dev->resource[i].start,
-						(dev->resource[i].start & 
+						(dev->resource[i].start &
 						 0x00FFFFFF)| 0x01000000);
 				dev->resource[i].start =
 					(dev->resource[i].start & 0x00FFFFFF)
@@ -1191,7 +1189,7 @@
 		                pci_write_config_dword(dev,
 						PCI_BASE_ADDRESS_0 + (i*0x4),
 						dev->resource[i].start);
-				dev->resource[i].end = 
+				dev->resource[i].end =
 					(dev->resource[i].end & 0x00FFFFFF)
 					| 0x01000000;
 		        }
@@ -1213,8 +1211,8 @@
 prep_pcibios_after_init(void)
 {
 	struct pci_dev *dev;
-	
-	/* If there is a WD 90C, reset the IO BAR to 0x0 (it started that 
+
+	/* If there is a WD 90C, reset the IO BAR to 0x0 (it started that
 	 * way, but the PCI layer relocated it because it thought 0x0 was
 	 * invalid for a BAR).
 	 * If you don't do this, the card's VGA base will be <IO BAR>+0xc0000
@@ -1263,7 +1261,7 @@
 	hose->ops = &prep_pci_ops;
 
 	printk("PReP architecture\n");
-#ifdef CONFIG_PREP_RESIDUAL	  
+#ifdef CONFIG_PREP_RESIDUAL
 	{
 		PPC_DEVICE *hostbridge;
 
@@ -1277,7 +1275,7 @@
 				3, 0);
 			if(pkt) {
 #define p pkt->L4_Pack.L4_Data.L4_PPCPack
-				setup_indirect_pci(hose, 
+				setup_indirect_pci(hose,
 					ld_le32((unsigned *) (p.PPCData)),
 					ld_le32((unsigned *) (p.PPCData+8)));
 #undef p
Index: arch/ppc/platforms/prep_setup.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/ppc/platforms/prep_setup.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/ppc/platforms/prep_setup.c	22 Jul 2004 19:49:00 -0000	1.1
+++ arch/ppc/platforms/prep_setup.c	4 Aug 2004 01:26:09 -0000	1.2
@@ -102,7 +102,7 @@
 /* for the mac fs */
 kdev_t boot_dev;
 
-#ifdef CONFIG_SOUND_CS4232 
+#ifdef CONFIG_SOUND_CS4232
 long ppc_cs4232_dma, ppc_cs4232_dma2;
 #endif
 
@@ -111,7 +111,7 @@
 extern int probingmem;
 extern unsigned long loops_per_jiffy;
 
-#ifdef CONFIG_SOUND_CS4232 
+#ifdef CONFIG_SOUND_CS4232
 EXPORT_SYMBOL(ppc_cs4232_dma);
 EXPORT_SYMBOL(ppc_cs4232_dma2);
 #endif
@@ -196,7 +196,7 @@
 
 	/* print info about the SCSI fuse */
 	seq_printf(m, "scsi fuse\t: ");
-	if (equip_reg & PREP_IBM_EQUIPMENT_SCSIFUSE) 
+	if (equip_reg & PREP_IBM_EQUIPMENT_SCSIFUSE)
 		seq_printf(m, "ok");
 	else
 		seq_printf(m, "bad");
@@ -210,8 +210,8 @@
 		for (i = 0; (res->ActualNumMemories) && (i < MAX_MEMS); i++) {
 			if (res->Memories[i].SIMMSize != 0)
 				seq_printf(m, "%d:%ldMiB ", i,
-					(res->Memories[i].SIMMSize > 1024) ? 
-					res->Memories[i].SIMMSize>>20 : 
+					(res->Memories[i].SIMMSize > 1024) ?
+					res->Memories[i].SIMMSize>>20 :
 					res->Memories[i].SIMMSize);
 		}
 		seq_printf(m, "\n");
@@ -374,12 +374,12 @@
 			seq_printf(m, "async, ");
 		else
 			seq_printf(m, "sync burst, ");
-		
+
 		if (l2_reg & 0x4)
 			seq_printf(m, "parity, ");
 		else
 			seq_printf(m, "no parity, ");
-		
+
 		switch (l2_reg & 0x3) {
 			case 0x0:
 				seq_printf(m, "256KiB\n");
@@ -453,8 +453,8 @@
 		for (i = 0; (res->ActualNumMemories) && (i < MAX_MEMS); i++) {
 			if (res->Memories[i].SIMMSize != 0)
 				seq_printf(m, "%d:%ldM ", i,
-					(res->Memories[i].SIMMSize > 1024) ? 
-					res->Memories[i].SIMMSize>>20 : 
+					(res->Memories[i].SIMMSize > 1024) ?
+					res->Memories[i].SIMMSize>>20 :
 					res->Memories[i].SIMMSize);
 		}
 		seq_printf(m, "\n");
@@ -570,7 +570,7 @@
 {
 	/* PREP's without residual data will give incorrect values here */
 	seq_printf(m, "clock\t\t: ");
-#ifdef CONFIG_PREP_RESIDUAL	
+#ifdef CONFIG_PREP_RESIDUAL
 	if (res->ResidualLength)
 		seq_printf(m, "%ldMHz\n",
 			   (res->VitalProductData.ProcessorHz > 1024) ?
@@ -583,7 +583,7 @@
 	return 0;
 }
 
-#ifdef CONFIG_SOUND_CS4232 
+#ifdef CONFIG_SOUND_CS4232
 static long __init masktoint(unsigned int i)
 {
 	int t = -1;
@@ -594,7 +594,7 @@
 
 /*
  * ppc_cs4232_dma and ppc_cs4232_dma2 are used in include/asm/dma.h
- * to distinguish sound dma-channels from others. This is because 
+ * to distinguish sound dma-channels from others. This is because
  * blocksize on 16 bit dma-channels 5,6,7 is 128k, but
  * the cs4232.c uses 64k like on 8 bit dma-channels 0,1,2,3
  */
@@ -605,7 +605,7 @@
 
 	/*
 	 * Get the needed resource informations from residual data.
-	 * 
+	 *
 	 */
 #ifdef CONFIG_PREP_RESIDUAL
 	audiodevice = residual_find_device(~0, NULL, MultimediaController,
@@ -627,7 +627,7 @@
 	/*
 	 * These are the PReP specs' defaults for the cs4231.  We use these
 	 * as fallback incase we don't have residual data.
-	 * At least the IBM Thinkpad 850 with IDE DMA Channels at 6 and 7 
+	 * At least the IBM Thinkpad 850 with IDE DMA Channels at 6 and 7
 	 * will use the other values.
 	 */
 	if (audiodevice == NULL) {
@@ -636,7 +636,7 @@
 			ppc_cs4232_dma = 1;
 			ppc_cs4232_dma2 = -1;
 			break;
-		default: 
+		default:
 			ppc_cs4232_dma = 6;
 			ppc_cs4232_dma2 = 7;
 		}
@@ -659,8 +659,7 @@
 prep_init_vesa(void)
 {
 #if defined(CONFIG_PREP_RESIDUAL) && \
-	(defined(CONFIG_FB_VGA16) || defined(CONFIG_FB_VGA_16_MODULE) || \
-	 defined(CONFIG_FB_VESA))
+	(defined(CONFIG_VGA_CONSOLE) || defined(CONFIG_FB))
 	PPC_DEVICE *vgadev;
 
 	vgadev = residual_find_device(~0, NULL, DisplayController, SVGAController,
@@ -700,10 +699,10 @@
 
 	/* init to some ~sane value until calibrate_delay() runs */
 	loops_per_jiffy = 50000000;
-	
+
 	/* Lookup PCI host bridges */
 	prep_find_bridges();
-	
+
 	/* Set up floppy in PS/2 mode */
 	outb(0x09, SIO_CONFIG_RA);
 	reg = inb(SIO_CONFIG_RD);
@@ -782,7 +781,7 @@
 		break;
 	}
 
-	/* Read in NVRAM data */ 
+	/* Read in NVRAM data */
 	init_prep_nvram();
 
 	/* if no bootargs, look in NVRAM */
@@ -796,7 +795,7 @@
 		}
 	}
 
-#ifdef CONFIG_SOUND_CS4232 
+#ifdef CONFIG_SOUND_CS4232
 	prep_init_sound();
 #endif /* CONFIG_SOUND_CS4232 */
 
@@ -840,7 +839,7 @@
 		tb_ticks_per_jiffy = freq / HZ / divisor;
 		return 0;
 	} else
-#endif	
+#endif
 		return 1;
 }
 
@@ -915,12 +914,12 @@
 	tmp = ppc_md.nvram_read_val(MK48T59_RTC_CONTROLB);
 	if (tmp & MK48T59_RTC_CB_STOP) {
 		printk("Warning: RTC was stopped, date will be wrong.\n");
-		ppc_md.nvram_write_val(MK48T59_RTC_CONTROLB, 
+		ppc_md.nvram_write_val(MK48T59_RTC_CONTROLB,
 					 tmp & ~MK48T59_RTC_CB_STOP);
 		/* Low frequency crystal oscillators may take a very long
 		 * time to startup and stabilize. For now just ignore the
 		 * the issue, but attempting to calibrate the decrementer
-		 * from the RTC just after this wakeup is likely to be very 
+		 * from the RTC just after this wakeup is likely to be very
 		 * inaccurate. Firmware should not allow to load
 		 * the OS with the clock stopped anyway...
 		 */
@@ -944,11 +943,11 @@
 	unsigned char save_control;
 	long i;
 	unsigned char sec;
- 
-		
+
+
 	/* Make sure the time is not stopped. */
 	save_control = ppc_md.nvram_read_val(MK48T59_RTC_CONTROLB);
-	
+
 	ppc_md.nvram_write_val(MK48T59_RTC_CONTROLA,
 			(save_control & (~MK48T59_RTC_CB_STOP)));
 
@@ -1135,7 +1134,7 @@
 prep_init(unsigned long r3, unsigned long r4, unsigned long r5,
 		unsigned long r6, unsigned long r7)
 {
-#ifdef CONFIG_PREP_RESIDUAL	
+#ifdef CONFIG_PREP_RESIDUAL
 	/* make a copy of residual data */
 	if ( r3 ) {
 		memcpy((void *)res,(void *)(r3+KERNELBASE),
@@ -1151,7 +1150,7 @@
 	DMA_MODE_WRITE = 0x48;
 
 	/* figure out what kind of prep workstation we are */
-#ifdef CONFIG_PREP_RESIDUAL	
+#ifdef CONFIG_PREP_RESIDUAL
 	if ( res->ResidualLength != 0 ) {
 		if ( !strncmp(res->VitalProductData.PrintableModel,"IBM",3) )
 			_prep_type = _PREP_IBM;
Index: arch/ppc/platforms/spruce.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/ppc/platforms/spruce.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/ppc/platforms/spruce.h	22 Jul 2004 19:49:00 -0000	1.1
+++ arch/ppc/platforms/spruce.h	4 Aug 2004 01:26:09 -0000	1.2
@@ -1,6 +1,6 @@
 /*
  * include/asm-ppc/platforms/spruce.h
- * 
+ *
  * Definitions for IBM Spruce reference board support
  *
  * Authors: Matt Porter and Johnnie Peters
@@ -51,7 +51,7 @@
 
 /*
  * Serial port defines
- */ 
+ */
 #define SPRUCE_FPGA_REG_A	0xff820000
 #define SPRUCE_UARTCLK_33M	0x02
 #define SPRUCE_UARTCLK_IS_33M(reg)	(reg & SPRUCE_UARTCLK_33M)
@@ -70,7 +70,7 @@
 
 #define STD_UART_OP(num)					\
 	{ 0, BASE_BAUD, 0, UART##num##_INT,			\
-		(ASYNC_BOOT_AUTOCONF | ASYNC_SKIP_TEST),	\
+		ASYNC_BOOT_AUTOCONF,				\
 		iomem_base: UART##num##_IO_BASE,		\
 		io_type: SERIAL_IO_MEM},
 
Index: arch/ppc/platforms/spruce_setup.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/ppc/platforms/spruce_setup.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/ppc/platforms/spruce_setup.c	22 Jul 2004 19:49:01 -0000	1.1
+++ arch/ppc/platforms/spruce_setup.c	4 Aug 2004 01:26:09 -0000	1.2
@@ -132,7 +132,7 @@
 	serial_req.line = 0;
 	serial_req.port = 0;
 	serial_req.irq = 3;
-	serial_req.flags = ASYNC_BOOT_AUTOCONF | ASYNC_SKIP_TEST;
+	serial_req.flags = ASYNC_BOOT_AUTOCONF;
 	serial_req.io_type = SERIAL_IO_MEM;
 	serial_req.iomem_base = (u_char *)UART0_IO_BASE;
 	serial_req.iomem_reg_shift = 0;
